const getDateList = () => {
    let getNowYear = new Date().getFullYear()
    let getNowMonth = new Date().getMonth() + 1
    const getDateList = {}
    for(let i = 0; i < 12; i++) {
        let months = []
        for(let j = 0; j < (i == 0 ? getNowMonth : 12); j++) {
            months.push((j + 1) + '月')
        }
        getDateList[(getNowYear - i) + '年'] = months // 组合数据
    }
    return getDateList
}

export {
    getDateList
}